'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy1.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 8,
		hitboxX: 10,
		hitboxY: 0,
		hitboxWidth: 122,
		hitboxHeight: 196,
		walkAnimLength: 30,
		deathAnimLength: 30,
		frameRateMultiplier: 0.5,
		maxHealth: 2,
		movement: ['linear']
	}, {
		spriteSheet: 'images/game/enemy2.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 8,
		hitboxX: 10,
		hitboxY: 0,
		hitboxWidth: 122,
		hitboxHeight: 196,
		walkAnimLength: 30,
		deathAnimLength: 30,
		frameRateMultiplier: 0.5,
		maxHealth: 2,
		movement: ['linear']
	}
];
